Package wx :: Package lib :: Module eventwatcher :: Class EventWatcher

[frames | no frames]

## Type EventWatcher

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                EventWatcher

A frame that will catch and display al events sent to some widget.

Method Summary
| `__init__(self, *args, **kw)`
| `buildWatchList(self, exclusions)`
| `onAddModule(self, evt)`
| `onClear(self, evt)`
| `onCloseWindow(self, evt)`
| `onToggleSelectEvents(self, evt)`
| `onToggleWatch(self, evt)`
| `onWatchedEvent(self, evt)`
| `unwatch(self)`
| `updateBindings(self)`
| `watch(self, widget)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:48 2009 | http://epydoc.sf.net